Index: test/edu/ucsb/nceas/metacattest/AccessControlTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4507)
+++ test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4508)
@@ -1075,17 +792,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".5", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".5", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".5", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".5", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".4", FAILURE, true);
+			deleteDocumentId(newdocid + ".4", FAILURE, true);
 			// logout
 			m.logout();
 
@@ -1107,7 +824,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".5", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".5", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1115,17 +832,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".5", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".5", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".6", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".6", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".7", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".7", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".6", FAILURE, true);
+			deleteDocumentId(newdocid + ".6", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1151,7 +868,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".7", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".7", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1159,17 +876,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".7", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".7", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".8", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".8", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".8", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".8", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".7", FAILURE, true);
+			deleteDocumentId(newdocid + ".7", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1195,7 +912,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".8", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".8", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1203,17 +920,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".8", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".8", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".9", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".9", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".9", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".9", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".8", FAILURE, true);
+			deleteDocumentId(newdocid + ".8", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1238,7 +955,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".9", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".9", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1246,17 +963,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".9", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".9", testdocument, FAILURE, true);
 			// fails to update this document
-			updateDocid(newdocid + ".10", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".10", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".10", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".10", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".9", FAILURE, true);
+			deleteDocumentId(newdocid + ".9", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1282,7 +999,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".10", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".10", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1290,17 +1007,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeed to read this document
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".11", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".11", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".11", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".11", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".10", FAILURE, true);
+			deleteDocumentId(newdocid + ".10", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1326,7 +1043,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".11", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".11", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1334,17 +1051,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// fails to read this document
-			readDocidWhichEqualsDoc(newdocid + ".11", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".11", testdocument, FAILURE, true);
 			// succeed to update this document
-			updateDocid(newdocid + ".12", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".12", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".13", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".13", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".12", FAILURE, true);
+			deleteDocumentId(newdocid + ".12", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1418,7 +1135,7 @@
 		debug("\nRunning: test201DenyFirst()");
 		String emlVersion = EML2_0_1;
 		try {
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====1 inserts a document with access rules (denyFirst) - allow
 			// READ rule for another user,
 			// deny READ rule for public.
@@ -1437,7 +1154,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1445,17 +1162,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".1", FAILURE, true);
+			deleteDocumentId(newdocid + ".1", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1477,7 +1194,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1485,17 +1202,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".2", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".2", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".3", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".3", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".3", FAILURE, true);
+			deleteDocumentId(newdocid + ".3", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1516,7 +1233,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".4", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".4", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1524,22 +1241,22 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".5", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".5", testdocument, SUCCESS, false);
 			// succeed to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true, true,
 							true, true), null, null, null, null);
-			updateDocid(newdocid + ".6", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".6", testdocument, SUCCESS, false);
 			// succeeds to delete the document
-			deleteDocid(newdocid + ".6", SUCCESS, false);
+			deleteDocumentId(newdocid + ".6", SUCCESS, false);
 			// logout
 			debug("logging out");
 			m.logout();
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====4 The user updates this documents with access rules
 			// (denyFirst) - allow READ and WRITE
 			// rule for another user, deny WRITE rule for public.
@@ -1558,7 +1275,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1566,17 +1283,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1599,7 +1316,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".10", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".10", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1607,17 +1324,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 			// succeed to update this document
-			updateDocid(newdocid + ".11", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".11", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".12", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".12", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".12", FAILURE, true);
+			deleteDocumentId(newdocid + ".12", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1643,7 +1360,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".13", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".13", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1651,17 +1368,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".13", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".13", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".14", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".14", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".14", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".14", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".13", FAILURE, true);
+			deleteDocumentId(newdocid + ".13", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1687,7 +1404,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".14", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".14", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1695,17 +1412,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".15", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".15", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".16", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".16", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".15", FAILURE, true);
+			deleteDocumentId(newdocid + ".15", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1730,7 +1447,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".16", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".16", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1738,22 +1455,22 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".17", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".17", testdocument, SUCCESS, false);
 			// succeeds to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true, true,
 							true, true), null, null, null, null);
-			updateDocid(newdocid + ".18", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".18", testdocument, SUCCESS, false);
 			// succeeds to delete the document
-			deleteDocid(newdocid + ".18", SUCCESS, false);
+			deleteDocumentId(newdocid + ".18", SUCCESS, false);
 			// logout
 			debug("logging out");
 			m.logout();
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====9 The user updates this documents with access rules
 			// (denyFirst) - allow READ and WRITE
 			// rule for another user, deny WRITE rule for a group
@@ -1775,7 +1492,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1783,17 +1500,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeed to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".20", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".20", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".21", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".21", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".20", FAILURE, true);
+			deleteDocumentId(newdocid + ".20", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1819,7 +1536,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".21", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".21", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1827,17 +1544,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".21", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".21", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".22", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".22", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".23", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".23", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".22", FAILURE, true);
+			deleteDocumentId(newdocid + ".22", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1911,7 +1628,7 @@
 		debug("\nRunning: test210DenyFirst()");
 		String emlVersion = EML2_1_0;
 		try {
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====1 inserts a document with access rules (denyFirst) - allow
 			// READ rule for another user,
 			// deny READ rule for public.
@@ -1930,7 +1647,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1938,17 +1655,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".1", FAILURE, true);
+			deleteDocumentId(newdocid + ".1", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -1970,7 +1687,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -1978,17 +1695,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".2", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".2", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".3", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".3", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".3", FAILURE, true);
+			deleteDocumentId(newdocid + ".3", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -2009,7 +1726,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".4", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".4", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -2017,22 +1734,22 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".5", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".5", testdocument, SUCCESS, false);
 			// succeed to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true, true,
 							true, true), null, null, null, null);
-			updateDocid(newdocid + ".6", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".6", testdocument, SUCCESS, false);
 			// succeeds to delete the document
-			deleteDocid(newdocid + ".6", SUCCESS, false);
+			deleteDocumentId(newdocid + ".6", SUCCESS, false);
 			// logout
 			debug("logging out");
 			m.logout();
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====4 The user updates this documents with access rules
 			// (denyFirst) - allow READ and WRITE
 			// rule for another user, deny WRITE rule for public.
@@ -2051,7 +1768,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -2059,17 +1776,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -2092,7 +1809,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".10", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".10", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
